package com.hzya.frame.mdm.mdmModuleDbFileds.entity;

import java.util.List;

import com.hzya.frame.mdm.mdmModuleDbFiledsRule.entity.MdmModuleDbFiledsRuleEntity;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * 模版数据库字段表(MdmModuleDbFileds)实体类
 *
 * @author makejava
 * @since 2024-06-03 08:47:01
 */
public class MdmModuleDbFiledsEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String dbName;
  /**  主数据模版ID */
   private String mdmId;
  /**  模版数据库id */
   private String dbId;
  /**  中文名 */
   private String chName;
  /**  英文名 */
   private String enName;
  /**  字段类型 1、BIGINT 2、DECIMAL 3、VARCHAR 4、DATETIME */
   private String filedType;
  /**  显示类型：新增 */
   private String addType;
  /**  显示类型：修改 */
   private String updateType;
  /**  显示类型：查看 */
   private String showType;
  /**  显示类型：查询 */
   private String queryType;
  /**  显示类型：列表 */
   private String listType;
  /**  显示类型：显示 */
   private String viewType;
  /**  长度 */
   private String filedLength;
  /**  公司id */
   private String companyId;
    /**  数据类型 1、新增 2、修改 */
    private String dataType;
    /**  类型 1、主表 2、明细 3、操作日志 4、下发日志 */
    private String dbType;
    /**
     * roletype
     */
    private String roletype;
    /**
     * roletype
     */
    private String roleValue;
   private List<MdmModuleDbFiledsRuleEntity> mdmModuleDbFiledsRules;

    //1、查询2、列表3、新增4、修改 5、查看
    private String fieldType;
    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getFiledType() {
        return filedType;
    }

    public void setFiledType(String filedType) {
        this.filedType = filedType;
    }

    public String getAddType() {
        return addType;
    }

    public void setAddType(String addType) {
        this.addType = addType;
    }

    public String getUpdateType() {
        return updateType;
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }

    public String getShowType() {
        return showType;
    }

    public void setShowType(String showType) {
        this.showType = showType;
    }

    public String getQueryType() {
        return queryType;
    }

    public void setQueryType(String queryType) {
        this.queryType = queryType;
    }

    public String getListType() {
        return listType;
    }

    public void setListType(String listType) {
        this.listType = listType;
    }

    public String getViewType() {
        return viewType;
    }

    public void setViewType(String viewType) {
        this.viewType = viewType;
    }

    public String getFiledLength() {
        return filedLength;
    }

    public void setFiledLength(String filedLength) {
        this.filedLength = filedLength;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public List<MdmModuleDbFiledsRuleEntity> getMdmModuleDbFiledsRules() {
        return mdmModuleDbFiledsRules;
    }

    public void setMdmModuleDbFiledsRules(List<MdmModuleDbFiledsRuleEntity> mdmModuleDbFiledsRules) {
        this.mdmModuleDbFiledsRules = mdmModuleDbFiledsRules;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getRoletype() {
        return roletype;
    }

    public void setRoletype(String roletype) {
        this.roletype = roletype;
    }

    public String getRoleValue() {
        return roleValue;
    }

    public void setRoleValue(String roleValue) {
        this.roleValue = roleValue;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }
}

